CVE-2014-0054CVE-2014-0054

Affected configuration(s):

cpe:/a:springsource:spring_framework:3.0.0
cpe:/a:springsource:spring_framework:3.0.0:m1
cpe:/a:springsource:spring_framework:3.0.0:m2
cpe:/a:springsource:spring_framework:3.0.0:m3
cpe:/a:springsource:spring_framework:3.0.0:m4
cpe:/a:springsource:spring_framework:3.0.0:rc1
cpe:/a:springsource:spring_framework:3.0.0:rc2
cpe:/a:springsource:spring_framework:3.0.0:rc3
cpe:/a:springsource:spring_framework:3.0.0.m1
cpe:/a:springsource:spring_framework:3.0.0.m2
cpe:/a:springsource:spring_framework:3.0.1
cpe:/a:springsource:spring_framework:3.0.2
cpe:/a:springsource:spring_framework:3.0.3
cpe:/a:springsource:spring_framework:3.0.4
cpe:/a:springsource:spring_framework:3.0.5
cpe:/a:springsource:spring_framework:3.0.6
cpe:/a:springsource:spring_framework:3.0.7
cpe:/a:springsource:spring_framework:3.1.0
cpe:/a:springsource:spring_framework:3.1.1
cpe:/a:springsource:spring_framework:3.1.2
cpe:/a:springsource:spring_framework:3.1.3
cpe:/a:springsource:spring_framework:3.1.4
cpe:/a:springsource:spring_framework:3.2.0
cpe:/a:springsource:spring_framework:3.2.1
cpe:/a:springsource:spring_framework:3.2.2
cpe:/a:springsource:spring_framework:3.2.3
cpe:/a:springsource:spring_framework:3.2.4
cpe:/a:springsource:spring_framework:3.2.5
cpe:/a:springsource:spring_framework:3.2.6
cpe:/a:springsource:spring_framework:3.2.7
cpe:/a:springsource:spring_framework:4.0.0:m1
cpe:/a:springsource:spring_framework:4.0.0:m2
cpe:/a:springsource:spring_framework:4.0.0:rc1
cpe:/a:springsource:spring_framework:4.0.1

Date published: 2014-04-17T10:55:06.417-04:00

Date last modified: 2016-11-28T14:10:22.093-05:00

CVSS Score: 6.8

Principal attack vector: NETWORK

Complexity:  MEDIUM

Reference URL: http://rhn.redhat.com/errata/RHSA-2014-0400.html

Summary: The Jaxb2RootElementHttpMessageConverter in Spring MVC in Spring Framework before 3.2.8 and 4.0.0 before 4.0.2 does not disable external entity resolution, which allows remote attackers to read arbitrary files, cause a denial of service, and conduct CSRF attacks via crafted XML, aka an XML External Entity (XXE) issue. NOTE: this vulnerability exists because of an incomplete fix for CVE-2013-4152, CVE-2013-7315, and CVE-2013-6429.

CategoriesUncategorised

Leave a Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.